<div class='ptx__tax'>
  <app-loading *ngIf="isLoadingPage"></app-loading>
  <app-personal-information
    [isSubmitted]='isSubmitted'
    [form]='form'
    (getEmployee)='getListDependents($event)'
    [functionCode]='functionCode'
  ></app-personal-information>
  <form nz-form [formGroup]="form" style="margin-top: 20px">
    <div nz-row [nzGutter]="[30,30]">
      <div nz-col nzXs="12" nzLg="12">
        <mb-select [mbDataSelects]="listDependents"
                   formControlName="familyRelationshipId"
                   (mbEventSelect)="changeDependents($event)"
                   (mbEventEmit)="setFromDateToForm($event)"
                   [mbType]="isSubmitted && form.controls['familyRelationshipId'].errors ? 'error' : 'default'"
                   [mbShowError]="isSubmitted && form.controls['familyRelationshipId'].errors != null"
                   [mbErrors]="form.controls['familyRelationshipId'].errors"
                   [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'personalTax.validate.required' | translate: {'param': 'personalTax.dependentRegisters.dependentName' | translate }}]"
                   mbPlaceholder="{{'personalTax.dependentRegisters.dependentName' | translate}}"
                   mbLabelText="{{'personalTax.dependentRegisters.dependentName' | translate}} <span class='label__required'>*</span>"
        ></mb-select>
      </div>
      <div nz-col nzXs="12" nzLg="12">
        <mb-date-picker
          formControlName="dateOfBirth"
          mbLabelText="{{'personalTax.dependentRegisters.dateOfBirth' | translate}}"
          mbPlaceholderText="{{'personalTax.dependentRegisters.dateOfBirth' | translate}}"
        ></mb-date-picker>
      </div>

      <div nz-col nzXs="12" nzLg="12">
        <mb-input-text
          formControlName="taxNumber"
          [mbMaxLength]="10"
          appNumberInput
          [mbType]="isSubmitted && form.controls['taxNumber'].errors ? 'error' : 'default'"
          [mbShowError]="isSubmitted && form.controls['taxNumber'].errors !== null"
          [mbErrors]="form.controls['taxNumber'].errors"
          [mbErrorDefs]="[
            { errorName: 'minlength', errorDescription: 'personalTax.validate.taxNoError' | translate},
            { errorName: 'maxlength', errorDescription: 'personalTax.validate.taxNoError' | translate}
          ]"
          mbPlaceholderText="{{'personalTax.dependentRegisters.taxNo' | translate}}"
          mbLabelText="{{'personalTax.dependentRegisters.taxNo' | translate}}"></mb-input-text>
      </div>

      <div nz-col nzXs="12" nzLg="12">
        <mb-date-picker
          mbPlaceholderText="{{'personalTax.dependentRegisters.endDate' | translate}}"
          mbLabelText="{{'personalTax.dependentRegisters.endDate' | translate}} <span class='label__required'>*</span>"
          mbMode="month"
          [mbFormat]="'MM/yyyy'"
          [mbType]="isSubmitted && (form.errors || form.controls['toDate'].errors) ? 'error' : 'default'"
          [mbShowError]="isSubmitted && (form.errors || form.controls['toDate'].errors ) !== null"
          [mbErrors]="form.controls['toDate'].errors"
          [mbErrorDefs]="[
             { errorName: 'required', errorDescription: 'personalTax.validate.required' | translate: {'param': 'personalTax.dependentRegisters.endDate' | translate }}
          ]"
          formControlName="toDate"></mb-date-picker>
      </div>

      <div nz-col nzXs=24 nzLg="24" *ngIf="isDetail && (status === constant.STATUS_OBJ.FINANCIAL_ACCOUNTANT_RETURN || status === constant.STATUS_OBJ.TAX_AUTHORITIES_RETURN)">
        <mb-input-text
          formControlName="rejectReason"
          [mbIsTextAre]="true"
          mbLabelText="{{'personalTax.taxRegisters.rejectReason' | translate}}"></mb-input-text>
      </div>

      <div nz-col nzXs=24 nzLg="24">
        <mb-input-text
          formControlName="note"
          [mbIsTextAre]="true"
          [mbMaxLength]="500"
          mbPlaceholderText="{{'personalTax.dependentRegisters.note' | translate}}"
          mbLabelText="{{'personalTax.dependentRegisters.note' | translate}}"></mb-input-text>
      </div>

      <div nz-col nzXs='24' nzLg='20' class="input__group">
        <label class="input__label">{{'personalTax.label.attachFile' | translate}}</label>
        <span class="uploadHintText">{{'personalTax.taxRegisters.uploadHintText' | translate}}</span>

        <div class="uploadFile--wrap">
          <nz-upload
            [nzMultiple]=" true"
            [(nzFileList)]="fileList"
            [nzBeforeUpload]="beforeUpload"
            [nzRemove]="removeFile"
            [nzDownload]="downloadFile"
            nzAccept=".TIF, .JPG, .GIF, .PNG, .PDF, .DOC, .DOCX, .XLS, .XLSX"
          >
            <button class="btnUploadFile">{{'personalTax.taxRegisters.btnUploadFile' | translate}}</button>
          </nz-upload>
        </div>
      </div>
      <div nz-col nzXs="24" nzLg="24" [ngStyle]="{'text-align': 'right'}" >
        <mb-button *ngIf="!isDetail"
                   mbButtonSize='MEDIUM'
                   mbButtonAvailableStyle='BtnCancelHasBorder'
                   (click)="closeModalAdd()"
                   mbButtonText="{{'personalTax.dependentRegisters.cancel' | translate}}"
        ></mb-button>
        <mb-button
          *ngIf="isDetail"
          mbButtonSize='MEDIUM'
          mbButtonAvailableStyle='BtnCancelHasBorder'
          (click)="closeModalAdd()"
          mbButtonText="{{'personalTax.dependentRegisters.back' | translate}}"
        ></mb-button>

        <mb-button mbButtonSize='MEDIUM' mbButtonAvailableStyle='PRIMARY'
                   (click)="onSave(constant.STATUS_OBJ.WAIT_APPROVE)"
                   *ngIf="!isDetail"
                   mbButtonText="{{'personalTax.dependentRegisters.save' | translate}}"></mb-button>
        <mb-button
            *ngIf="status && status === constant.STATUS_OBJ.WAIT_APPROVE && isDetail && objFunction?.approve"
            mbButtonSize='SMALL'
            mbButtonAvailableStyle='PRIMARY'
            mbButtonText="{{'personalTax.label.approve' | translate}}"
            (click)="approveById(registerId)"
        ></mb-button>
        <mb-button
            *ngIf="status && status === constant.STATUS_OBJ.WAIT_APPROVE && isDetail && objFunction?.approve"
            mbButtonSize='SMALL'
            mbButtonAvailableStyle='DEFAULT'
            (click)="openRejectForm()"
            mbButtonText="{{'personalTax.label.reject' | translate}}"
        ></mb-button>
      </div>
    </div>

    <app-reject-common
      [isReject]="isReject"
      [id]="registerId"
      [urlRejectByList]="urlReject"
      (onCloseModal)="doCloseReject($event)"
    >
    </app-reject-common>
  </form>
</div>
